> For the complete documentation index, see [llms.txt](/llms.txt).

# Select user offer and update entity to contact

**POST** `https://www.iwoca.co.uk/api/lending/v2.2/offers/{offer_id}/select/`

Select an offer that the customer would like to proceed with. For more information, see 'Select an offer' in the documentation.

## Path parameters
- `offer_id` (string, required)

## Body
```json
{
  "data": {
    "entity_to_contact": "customer"
  }
}
```

### Body fields
- `data` (object)
- `data.entity_to_contact` (string)

## Responses
### 200 — Offer selected and updated entity to contact. Returns a login_link only if the entity_to_contact is set to customer
```json
{
  "data": {
    "login_link": "https://example.com"
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/offers/<offer_id>/select/' \
  --request POST \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {
    "entity_to_contact": "customer"
  }
}'
```